<?php
/*
Plugin Name: Weather Effect
Plugin URI: https://awplife.com/
Description: This is Weather Effect Widget.
Version: 1.0.5
Author: A WP Life
Author URI: https://awplife.com/
License: GPLv2 or later
Text Domain: weather-effect
Domain Path: /languages

Weather Effect is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
 
Weather Effect is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with User Registration. If not, see https://www.gnu.org/licenses/gpl-2.0.html.
*/

define( 'WE_PLUGIN_PATH', plugin_dir_url( __FILE__ ) );

//Plugin Text Domain
define('WE_TXTD','weather-effect' );

//Load text domain
add_action( 'plugins_loaded', 'WE_load_textdomain' );

function WE_load_textdomain() {
	load_plugin_textdomain( WE_TXTD, false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
}

require_once('weather-effect-settings-page.php');
//Default settings
register_activation_hook( __FILE__, 'weather_effect_defaultsettings' );
function weather_effect_defaultsettings() {
	//$snowdefaultettings = array(			
		$weather_effect_settings = get_option('weather_effect_settings');
	//);
	add_option( 'weather_effect_settings', $_POST );
}

function add_weather_effect_content($content){
	//get setting of buttons
	$weather_effect_settings = get_option('weather_effect_settings');
	add_action( "the_content", "add_weather_effect_content" );

}
	
add_action( "wp_head", "weather_effect_type" );

function weather_effect_type(){
	wp_enqueue_script('jquery');	
	wp_enqueue_script( 'snow-christmas-snow-js',  WE_PLUGIN_PATH .'js/christmas-snow/christmas-snow.js');	
	wp_enqueue_script( 'snow-snow-falling-js',  WE_PLUGIN_PATH .'js/snow-falling/snow-falling.js');	
	wp_enqueue_script( 'snow-snowfall-master-js',  WE_PLUGIN_PATH .'js/snowfall-master/snowfall-master.min.js', array( 'jquery' ), '', true  );		
	

	//toggle button CSS
	wp_enqueue_style( 'snow-font-awesome-css',WE_PLUGIN_PATH.'css/font-awesome.css' );
	
	require_once('weather-output.php');
}
?>